package com.mortals.xhx.module.device.service;

import com.mortals.framework.model.Context;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.device.dao.DeviceMessageStatDao;
import com.mortals.xhx.module.device.model.DeviceMessageStatEntity;

/**
* DeviceMessageStatService
*
* 设备消息统计 service接口
*
* @author zxfei
* @date 2024-03-26
*/
public interface DeviceMessageStatService extends ICRUDService<DeviceMessageStatEntity,Long>{

    DeviceMessageStatDao getDao();


    /**
     * 设备统计当天消息情况
     * @param context
     */
    void deviceMessageStat(Long siteId, Context context);


}